# class CaretPosition

#### package js.html

Available on HTML5

The `CaretPosition` interface represents the caret postion, an indicator for the text insertion point. You can get a `CaretPosition` using the `document.caretPositionFromPoint` method.

Documentation CaretPosition by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/CaretPosition

### Variables

###

`read onlyoffset:Int`

Returns a `long` representing the character offset in the caret position node.

###

`read onlyoffsetNode:Node`

Returns a `Node` containing the found node at the caret's position.

### Methods

###

`getClientRect ():DOMRect`